%define name cheesetracker
%define version 0.8.0
%define release 1mdk

Summary: Clone of the MS-DOS program Impulse Tracker
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: cheese_48x48.png
Source2: cheese_32x32.png
Source3: cheese_16x16.png
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libqt3-devel
BuildRequires: libsigc++1.2-devel
BuildRequires: scons
URL: http://reduz.com.ar/cheesetronic

%description 
Cheese Tracker is a program to create module music that aims to have
an interface and feature set similar to that of Impulse Tracker. It
also has some advantages such as oscilloscopes over each pattern
track, more detailed sample info, a more detailed envelope editor,
etc. So far it only works in UNIX, but all the interface/audio code is
fully modular and abstracted in individual classes, which should make
the porting of this program to other platforms extremely easy.


%prep
%setup -q

%build
export QTDIR=/usr/lib/qt3
export PATH=$QTDIR/bin:$PATH
scons %_smp_mflags 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_bindir
%makeinstall INSTALL_DIR=%buildroot%_bindir
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%name
?package(%{name}):\
needs="x11"\
section="Multimedia/Sound"\
title="Cheesetracker"\
longtitle="A program for creating music modules"\
command="cheesetracker_qt"\
icon="%{name}.png"
EOF
mkdir -p %buildroot%_iconsdir %buildroot%_miconsdir %buildroot%_liconsdir
cp %SOURCE1 %buildroot%_liconsdir/%name.png
cp %SOURCE2 %buildroot%_iconsdir/%name.png
cp %SOURCE3 %buildroot%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README TODO AUTHORS ChangeLog NEWS COPYING examples/*.* docs/*
%_bindir/cheeseplayer
%_bindir/cheesetracker_qt
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png
%_menudir/%name

%changelog
* Mon Jun 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- add the cheeseplayer
- remove prefix
- new url
- qt and scons instead of gtk-- and autotools
- drop patches
- new version

* Wed Jun  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-10mdk
- patch for the new gcc 3.3 preprocessor, please test this

* Tue Apr 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-9mdk
- fix buildrequires again

* Tue Apr 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-8mdk
- fix buildrequires

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-7mdk
- rebuild

* Tue Aug 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-6mdk
- revert last change, it was unneeded

* Mon Aug 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.5-5mdk
- Buildrequires libsigc++

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-4mdk
- call automake
- gcc 3.2-0.3mdk build

* Tue Jul 30 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-3mdk
- gcc 3.2 build

* Fri Jun  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-2mdk
- gcc3.1 patch, please test
- don't compress png icons

* Wed May  1 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-1mdk
- 0.5.5

* Mon Apr 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- 0.5.1

* Thu Apr 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- add more docs
- add menu entry
- 0.5.0

* Tue Mar  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.7-1mdk
- 0.2.7

* Mon Mar  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.6-1mdk
- new release

* Sat Jan 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.4-2mdk
- initial package
